# List

Launch stage: Beta

`GET /api/2.0/identity/service-principals`

Lists the service principals in the <Databricks>
 account that parents the calling workspace, returning one page per call. Supports filtering by
 application ID or external ID.

API scopes: identity

## Query parameters

- `page_size` (int32, optional)
  The maximum number of SPs to return. The service may return fewer than this value.
- `page_token` (string, optional)
  A page token, received from a previous ListServicePrincipals call. Provide this to retrieve the subsequent page.
- `filter` (string, optional)
  Optional. Allows filtering service principals by application id or external id.

## Returns

Returns a list of ServicePrincipal objects.

## Response

```json
{
  "service_principals": [
    {
      "account_id": "string",
      "service_principal_id": "string",
      "external_id": "string",
      "application_id": "string",
      "display_name": "string",
      "account_sp_status": "string"
    }
  ],
  "next_page_token": "string"
}
```

